# $Id: standalone.local.bro-template 6811 2009-07-06 20:41:10Z robin $
#
# Template for local site policy. Customize as appropiate. 
#
# (Note that enabling a particular kind of analysis via the cluster's 
# "analysis command" only has an effect if the corresponding scripts are
# loaded by this site policy.)

@load alarm
@load notice
@load weird

@load dpd
@load detect-protocols
@load detect-protocols-http
@load dyn-disable
@load inactivity        

# Uncomment for profiling resource usage.
# @load profiling 
# redef expensive_profiling_multiple = 20;
	
@load dns
@load dns-lookup
@load finger
@load frag
@load ftp
@load icmp
@load hot
@load http-request
@load http-reply
@load ident
@load irc   
@load irc-bot
@load login
@load ntp
@load pop3
@load portmapper  
@load scan
@load smtp
@load ssh
@load ssl  # Buggy?
@load synflood
@load tcp
@load tftp
@load udp
@load worm

# If you want to monitor locally generated traffic and your system
# offloads checksum computation to the NIC (like Mac OS tends do),
# you might want to disable Bro's checksum checking. 
#
# redef ignore_checksums = T;

# Sample notice policy which you will almost certainly want 
# to adapt to your environment. 
	
redef notice_action_filters +=
    {
	# These are all very common.
	[Weird::ContentGap] = tally_notice_type_and_ignore,
	[Weird::AckAboveHole] = tally_notice_type_and_ignore,
	[Weird::RetransmissionInconsistency] = tally_notice_type_and_ignore,
	[Drop::AddressDropIgnored] = ignore_notice,
	[Drop::AddressDropped] = ignore_notice,
	[Weird::WeirdActivity] = file_local_bro_notices,
	[DroppedPackets] = file_notice,
	[TerminateConnection::TerminatingConnectionIgnored] = notice_alarm_per_orig,
	[ProtocolDetector::ProtocolFound] = file_notice,
	[ProtocolDetector::ServerFound] = file_if_remote,
	[DynDisable::ProtocolViolation] = file_notice,
	};

redef Weird::weird_action += {
	["window_recision"] = Weird::WEIRD_FILE,
	["RST_with_data"] = Weird::WEIRD_FILE,
	["line_terminated_with_single_CR"] = Weird::WEIRD_FILE,
	["line_terminated_with_single_LF"] = Weird::WEIRD_FILE,
	["spontaneous_RST"] = Weird::WEIRD_FILE,
	["spontaneous_FIN"] = Weird::WEIRD_FILE,
	["data_before_established"] = Weird::WEIRD_FILE,
	["unsolicited_SYN_response"] = Weird::WEIRD_FILE,
	["inappropriate_FIN"] = Weird::WEIRD_FILE,
	["possible_split_routing"] = Weird::WEIRD_FILE,
	["connection_originator_SYN_ack"] = Weird::WEIRD_FILE,
	["fragment_inconsistency"] = Weird::WEIRD_NOTICE_PER_ORIG,
	["fragment_size_inconsistency"] = Weird::WEIRD_NOTICE_PER_ORIG,
	["fragment_overlap"] = Weird::WEIRD_NOTICE_PER_ORIG,
	["ICMP-unreachable for wrong state"] = Weird::WEIRD_NOTICE_PER_ORIG,
	["corrupt_tcp_options"] = Weird::WEIRD_NOTICE_PER_ORIG,
};
	
	
